Fiat to SphereNet (TradFi On-Ramp)
warning
Heads up: API coming soon.
This API is not currently accessible. The documentation below reflects the intended design and is meant for early familiarization, not active integration.
We support ACH Push and Wire. ACH Pull is coming soon.
📘 With wires and ACH push based transfers, it's very important that you instruct your customer to send the payment with our unique deposit message. Direct your customer to send funds to Sphere's bank account, with the exact amount and currency, and to include the deposit message (starting with SPH) as the wire memo/message or ACH push description. The deposit message is unique per transfer and including it with your transaction is required for Sphere to process.
Wire Example​
POST v1/transactions
curl https://api.sphere.net/v1/transactions \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Idempotency-Key: <Unique Idempotency Key>' \
-d '{
"amount": "1000.00",
"customer": "cust_alice",
"source": {
"paymentRail": "wire",
"currency": "usd"
},
"destination": {
"paymentRail": "spherenet",
"currency": "usd",
"account": "sphere1abc..."
}
}'
Wire Response​
{
"ok": true,
"object": "object",
"statusCode": 200,
"error": null,
"message": "success",
"data": {
"id": "txn_123",
"state": "processing",
"customer": "cust_alice",
"amount": "1000.00",
"source": {
"paymentRail": "wire",
"currency": "usd"
},
"destination": {
"paymentRail": "spherenet",
"currency": "usd",
"account": "sphere1abc..."
},
"networkData": {
"signature": "2id3YC2jK9G5Wo2phDx4gJVAew8DcY5NAojnVuao8aCxBwKE7k4PoHiH1ViQX8KgB9CKBY2RcKF8PSbBqhqFQXXX",
"slot": 430,
"confirmations": 1,
"commitment": "processed",
"error": null
},
"sourceDepositInstructions": {
"amount": "1000.00",
"currency": "usd",
"sepositMessage": "SPH7depositmessage"
},
"createdAt": "2024-01-20T19:39:14.316Z",
"updatedAt": "2024-01-20T19:39:14.316Z"
},
"ts": "2024-08-22T16:15:42.707Z",
"request": "request_cdde26b2c0534183a1aaba6baebaec1f"
}
ACH Push Example​
POST v1/transactions
curl https://api.sphere.net/v1/transactions \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Idempotency-Key: <Unique Idempotency Key>' \
-d '{
"amount": "1000.00",
"customer": "cust_alice",
"source": {
"paymentRail": "ach_push",
"currency": "usd"
},
"destination": {
"paymentRail": "spherenet",
"currency": "usd",
"account": "sphere1abc..."
}
}'
ACH Push Response​
{
"ok": true,
"object": "object",
"statusCode": 200,
"error": null,
"message": "success",
"data": {
"id": "txn_123",
"state": "processing",
"customer": "cust_alice",
"amount": "1000.00",
"source": {
"paymentRail": "ach_push",
"currency": "usd"
},
"destination": {
"paymentRail": "spherenet",
"currency": "usd",
"account": "sphere1abc..."
},
"networkData": {
"signature": "2id3YC2jK9G5Wo2phDx4gJVAew8DcY5NAojnVuao8aCxBwKE7k4PoHiH1ViQX8KgB9CKBY2RcKF8PSbBqhqFQXXX",
"slot": 430,
"confirmations": 1,
"commitment": "processed",
"error": null
},
"sourceDepositInstructions": {
"amount": "1000.00",
"currency": "usd",
"sepositMessage": "SPH7depositmessage"
},
"createdAt": "2024-01-20T19:39:14.316Z",
"updatedAt": "2024-01-20T19:39:14.316Z"
},
"ts": "2024-08-22T16:15:42.707Z",
"request": "request_cdde26b2c0534183a1aaba6baebaec1f"
}